View Issue Details

IDProjectCategoryLast Update
0023341AI War 2[All Projects] Bug - OtherJul 3, 2020 3:50 pm
Reporterjkistre13Assigned Tox4000Bughunter 
Severitytext 
Status resolvedResolutionfixed 
Product VersionBeta 2.084 Freedom From The Compiler 
Fixed in Version2.090 Returning From Beta 
Summary0023341: Max fleet power = 0
DescriptionWhen viewing a fleet, either on the Fleets tab, the galaxy map, or planet map, the max fleet power shows 0. Current fleet power in the tooltip works fine, and it shows the total fleet power on a planet correctly. This affects to planet fleets and battlestations as well.
TagsNo tags attached.

Activities

x4000Bughunter

Jul 1, 2020 1:40 pm

administrator   ~0057490

Ooh, great catch -- this is something from changes in the beta branch, or other recent changes from right prior to that. Will fix!

x4000Bughunter

Jul 3, 2020 3:50 pm

administrator   ~0057499

Thank you! Please let me know if I missed any areas.

* Fixed what appears to have been a relatively old bug (somehow?) where the max strength of a lot of fleets was not being properly calculated. It seems like this may have slipped by for a few months, or since a bit before DLC1 somehow.
** Also fixed a bug that probably goes back to the start of fleets, where instead of the current strength of fleets on the fleets sidebar, it was showing their total strength. For command station fleets, it was showing a max that they could not even hit, too.

Issue History

Date Modified Username Field Change
Jun 27, 2020 1:13 am jkistre13 New Issue
Jun 27, 2020 1:15 am jkistre13 Tag Attached: tooltip
Jun 27, 2020 1:15 am jkistre13 Tag Detached: tooltip
Jul 1, 2020 1:40 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 1, 2020 1:40 pm x4000Bughunter Status new => assigned
Jul 1, 2020 1:40 pm x4000Bughunter Note Added: 0057490
Jul 3, 2020 3:50 pm x4000Bughunter Status assigned => resolved
Jul 3, 2020 3:50 pm x4000Bughunter Resolution open => fixed
Jul 3, 2020 3:50 pm x4000Bughunter Fixed in Version => 2.090 Returning From Beta
Jul 3, 2020 3:50 pm x4000Bughunter Note Added: 0057499